<!DOCTYPE html>
<html lang="en" xmlns:th="http://thymeleaf.org">
<head>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" th:href="@{/css/signup-style.css}">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css">
    <title>Sign Up</title>
</head>
<body>
<div class="card-create-webinar">
    <form th:action="@{/signup}" method="POST">
        <div class="section-title">
            <div class="form-title">
                <header>Sign Up</header>
            </div>
        </div>
        <div class="section-signin">
            <div class="signin">
                <span>Already have an account? <a th:href=@{/login}>Sign In</a></span>
            </div>
        </div>
        <div class="section-input-field">
            <div class="input-container">
                <div class="input-field required">
                    <label for="nama">Nama Lengkap (Gelar Opsional)</label>
                    <input type="text" class="input" id="nama" name="nama" placeholder="Nama Lengkap" required>
                </div>
                <div class="input-field date required">
                    <label for="date">Tanggal Lahir</label>
                    <input type="date" class="input" name="tanggalLahir" id="date" required>
                </div>
            </div>
            <div class="input-container">
                <div class="input-field required">
                    <label for="email">Email</label>
                    <input type="email" class="input" id="email" name="email" placeholder="Email" required>
                </div>
                <div class="input-field">
                    <label for="noTelepon">Nomor Telepon/Whatsapp</label>
                    <input type="tel" class="input" id="noTelepon" name="nomorTelefon" placeholder="Nomor Telepon/Whatsapp">
                </div>
            </div>
            <div class="input-container">
                <div class="input-field password required">
                    <label for="password">Password</label>
                    <div class="toggle-password">
                        <input type="password" class="input" id="password" name="password" placeholder="Password" required autocomplete="off">
                        <div class="ikon-password hide-password show" onclick="togglePasswordVisibility()">
                            <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                                <path d="M9.75 12C9.75 10.7574 10.7574 9.75 12 9.75C13.2426 9.75 14.25 10.7574 14.25 12C14.25 13.2426 13.2426 14.25 12 14.25C10.7574 14.25 9.75 13.2426 9.75 12Z" fill="#F67280"/>
                                <path fill-rule="evenodd" clip-rule="evenodd" d="M6.35173 5.59572C7.92325 4.30899 9.85905 3.25 12 3.25C14.141 3.25 16.0768 4.30899 17.6483 5.59572C19.2284 6.88946 20.5204 8.47865 21.3886 9.68801L21.4602 9.78759C21.9829 10.5138 22.4131 11.1117 22.4131 12C22.4131 12.8883 21.9829 13.4862 21.4602 14.2124L21.3886 14.312C20.5204 15.5214 19.2284 17.1105 17.6483 18.4043C16.0768 19.691 14.141 20.75 12 20.75C9.85905 20.75 7.92325 19.691 6.35173 18.4043C4.77164 17.1105 3.47962 15.5214 2.61142 14.312L2.53981 14.2124C2.01715 13.4862 1.58691 12.8883 1.58691 12C1.58691 11.1117 2.01715 10.5138 2.53981 9.78759L2.61142 9.68801C3.47962 8.47865 4.77164 6.88946 6.35173 5.59572ZM12 8.25C9.92893 8.25 8.25 9.92893 8.25 12C8.25 14.0711 9.92893 15.75 12 15.75C14.0711 15.75 15.75 14.0711 15.75 12C15.75 9.92893 14.0711 8.25 12 8.25Z" fill="#F67280"/>
                            </svg>
                        </div>
                        <div class="ikon-password show-password hide" onclick="togglePasswordVisibility()">
                            <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                                <path fill-rule="evenodd" clip-rule="evenodd" d="M22.4685 4.58568C22.792 4.32692 22.8444 3.85495 22.5857 3.53151C22.3269 3.20806 21.855 3.15562 21.5315 3.41438L18.2062 6.07464C18.0246 5.91151 17.8385 5.75148 17.6483 5.59574C16.0768 4.30902 14.141 3.25003 12 3.25003C9.85908 3.25003 7.92328 4.30902 6.35176 5.59574C4.77166 6.88949 3.47965 8.47868 2.61144 9.68804L2.53984 9.78762C2.01718 10.5139 1.58694 11.1117 1.58694 12C1.58694 12.8884 2.01718 13.4862 2.53984 14.2124L2.61144 14.312C3.1561 15.0707 3.86754 15.9788 4.71227 16.8698L1.53151 19.4144C1.20806 19.6731 1.15562 20.1451 1.41438 20.4685C1.67313 20.792 2.1451 20.8444 2.46855 20.5857L22.4685 4.58568ZM8.66178 13.7102L9.87453 12.74C9.79386 12.5082 9.75003 12.2592 9.75003 12C9.75003 10.7574 10.7574 9.75003 12 9.75003C12.4362 9.75003 12.8434 9.87415 13.1882 10.089L14.4007 9.11904C13.7503 8.57647 12.9133 8.25003 12 8.25003C9.92896 8.25003 8.25003 9.92896 8.25003 12C8.25003 12.6161 8.39857 13.1974 8.66178 13.7102Z" fill="#F67280"/>
                                <path d="M20.6952 8.76484L15.6673 12.7872C15.3056 14.4803 13.8011 15.75 12 15.75L11.9639 15.7499L7.54805 19.2825C8.86737 20.1396 10.3746 20.75 12 20.75C14.141 20.75 16.0768 19.691 17.6483 18.4043C19.2284 17.1106 20.5204 15.5214 21.3886 14.312L21.4602 14.2124C21.9829 13.4862 22.4131 12.8884 22.4131 12C22.4131 11.1117 21.9829 10.5139 21.4602 9.78762L21.3886 9.68804C21.1811 9.39894 20.9493 9.08813 20.6952 8.76484Z" fill="#F67280"/>
                            </svg>
                        </div>
                    </div>
                </div>
                <div class="input-field">
                    <label for="institusi">Institusi</label>
                    <input type="text" class="input" id="institusi" name="institusi" placeholder="Institusi">
                </div>
            </div>
            <div class="input-container" >
                <div class="input-field password required">
                    <label for="confirm-password">Konfirmasi Password</label>
                    <div class="toggle-password" id="confirm-password-div">
                        <input type="password" class="input" id="confirm-password" name="konfirmasiPassword" placeholder="Konfirmasi Password" required autocomplete="off">
                        <div class="ikon-password hide-confirm-password show" onclick="toggleConfirmPasswordVisibility()">
                            <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                                <path d="M9.75 12C9.75 10.7574 10.7574 9.75 12 9.75C13.2426 9.75 14.25 10.7574 14.25 12C14.25 13.2426 13.2426 14.25 12 14.25C10.7574 14.25 9.75 13.2426 9.75 12Z" fill="#F67280"/>
                                <path fill-rule="evenodd" clip-rule="evenodd" d="M6.35173 5.59572C7.92325 4.30899 9.85905 3.25 12 3.25C14.141 3.25 16.0768 4.30899 17.6483 5.59572C19.2284 6.88946 20.5204 8.47865 21.3886 9.68801L21.4602 9.78759C21.9829 10.5138 22.4131 11.1117 22.4131 12C22.4131 12.8883 21.9829 13.4862 21.4602 14.2124L21.3886 14.312C20.5204 15.5214 19.2284 17.1105 17.6483 18.4043C16.0768 19.691 14.141 20.75 12 20.75C9.85905 20.75 7.92325 19.691 6.35173 18.4043C4.77164 17.1105 3.47962 15.5214 2.61142 14.312L2.53981 14.2124C2.01715 13.4862 1.58691 12.8883 1.58691 12C1.58691 11.1117 2.01715 10.5138 2.53981 9.78759L2.61142 9.68801C3.47962 8.47865 4.77164 6.88946 6.35173 5.59572ZM12 8.25C9.92893 8.25 8.25 9.92893 8.25 12C8.25 14.0711 9.92893 15.75 12 15.75C14.0711 15.75 15.75 14.0711 15.75 12C15.75 9.92893 14.0711 8.25 12 8.25Z" fill="#F67280"/>
                            </svg>
                        </div>
                        <div class="ikon-password show-confirm-password hide" onclick="toggleConfirmPasswordVisibility()">
                            <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                                <path fill-rule="evenodd" clip-rule="evenodd" d="M22.4685 4.58568C22.792 4.32692 22.8444 3.85495 22.5857 3.53151C22.3269 3.20806 21.855 3.15562 21.5315 3.41438L18.2062 6.07464C18.0246 5.91151 17.8385 5.75148 17.6483 5.59574C16.0768 4.30902 14.141 3.25003 12 3.25003C9.85908 3.25003 7.92328 4.30902 6.35176 5.59574C4.77166 6.88949 3.47965 8.47868 2.61144 9.68804L2.53984 9.78762C2.01718 10.5139 1.58694 11.1117 1.58694 12C1.58694 12.8884 2.01718 13.4862 2.53984 14.2124L2.61144 14.312C3.1561 15.0707 3.86754 15.9788 4.71227 16.8698L1.53151 19.4144C1.20806 19.6731 1.15562 20.1451 1.41438 20.4685C1.67313 20.792 2.1451 20.8444 2.46855 20.5857L22.4685 4.58568ZM8.66178 13.7102L9.87453 12.74C9.79386 12.5082 9.75003 12.2592 9.75003 12C9.75003 10.7574 10.7574 9.75003 12 9.75003C12.4362 9.75003 12.8434 9.87415 13.1882 10.089L14.4007 9.11904C13.7503 8.57647 12.9133 8.25003 12 8.25003C9.92896 8.25003 8.25003 9.92896 8.25003 12C8.25003 12.6161 8.39857 13.1974 8.66178 13.7102Z" fill="#F67280"/>
                                <path d="M20.6952 8.76484L15.6673 12.7872C15.3056 14.4803 13.8011 15.75 12 15.75L11.9639 15.7499L7.54805 19.2825C8.86737 20.1396 10.3746 20.75 12 20.75C14.141 20.75 16.0768 19.691 17.6483 18.4043C19.2284 17.1106 20.5204 15.5214 21.3886 14.312L21.4602 14.2124C21.9829 13.4862 22.4131 12.8884 22.4131 12C22.4131 11.1117 21.9829 10.5139 21.4602 9.78762L21.3886 9.68804C21.1811 9.39894 20.9493 9.08813 20.6952 8.76484Z" fill="#F67280"/>
                            </svg>
                        </div>
                    </div>
                </div>
                <div class="input-field required">
                    <label for="pekerjaan">Pekerjaan</label>
                    <select id="pekerjaan" class="dropdown" name="pekerjaan" placeholder="Pekerjaan" required>
                        <option value="" disabled selected>Pekerjaan</option>
                        <option value="Mahasiswa">Mahasiswa</option>
                        <option value="Dokter Umum">Dokter Umum</option>
                        <option value="PPDS">PPDS</option>
                        <option value="Dokter Spesialis">Dokter Spesialis</option>
                        <option value="Dokter Konsultan">Dokter Konsultan</option>
                        <option value="Perawat">Perawat</option>
                        <option value="Bidan">Bidan</option>
                        <option value="Lainnya">Lainnya</option>
                    </select>
                </div>
            </div>
        </div>
        <div class="section-confirm">
            <div class="form-check">
                <input type="checkbox" class="form-check-input" id="formCheck" required>
                <label for="formCheck" class="form-check-label"><small>Saya setuju dengan <a th:href=@{/terms-and-conditions}>Syarat & Ketentuan</a> yang berlaku di
                    platform MEDIS.</small></label>
            </div>
            <div class="signup-button">
                <button type="submit" id="button-signup" class="btn-primary">Sign Up</button>
            </div>
        </div>
    </form>
</div>
<script>
    $(document).ready(function() {
        var passwordField = $('#password');
        var passwordConfirmationField = $('#confirm-password');
        var passwordConfirmationDiv = $('#confirm-password-div');
        var errorField = $('<span class="error" style="color:red">Passwords do not match</span>');

        // function to check if passwords match
        function checkPasswords() {
            if (passwordField.val() !== passwordConfirmationField.val()) {
                if (!passwordConfirmationField.next('.error').length) {
                    passwordConfirmationDiv.after(errorField);
                }
                $('button[type="submit"]').prop('disabled', true);
            } else {
                passwordConfirmationDiv.next('.error').remove();
                $('button[type="submit"]').prop('disabled', false);
            }
        }

        // check passwords on keyup of either field
        passwordField.keyup(checkPasswords);
        passwordConfirmationField.keyup(checkPasswords);
    });
</script>
<script>
    function togglePasswordVisibility() {
        var passwordInput = document.getElementById("password");
        var hideIcon = document.querySelector(".ikon-password.hide-password");
        var showIcon = document.querySelector(".ikon-password.show-password");

        if (passwordInput.type === "password") {
            passwordInput.type = "text";
            hideIcon.classList.replace('show', 'hide');
            showIcon.classList.replace('hide', 'show');
        } else {
            passwordInput.type = "password";
            hideIcon.classList.replace('hide', 'show');
            showIcon.classList.replace('show', 'hide');
        }
    }
</script>
<script>
    function toggleConfirmPasswordVisibility() {
        var passwordInput = document.getElementById("confirm-password");
        var hideIcon = document.querySelector(".ikon-password.hide-confirm-password");
        var showIcon = document.querySelector(".ikon-password.show-confirm-password");

        if (passwordInput.type === "password") {
            passwordInput.type = "text";
            hideIcon.classList.replace('show', 'hide');
            showIcon.classList.replace('hide', 'show');
        } else {
            passwordInput.type = "password";
            hideIcon.classList.replace('hide', 'show');
            showIcon.classList.replace('show', 'hide');
        }
    }
</script>
</body>
</html>

